Printago API
GET /v1/store-files/google-fonts

List Google Fonts families

Browse the Google Fonts catalog for families to add to the library.

Requires: file.manage

Query Parameters

search optional
string
Part of a family name, any case.
category optional
string
sans-serif, serif, display, handwriting or monospace.
limit optional
integer
offset optional
integer

Response Schema

GoogleFontsPage
itemsrequired
object[]
categoryrequired
string
Google's category: sans-serif, serif, display, handwriting or monospace.
familyrequired
string
stylesrequired
"bold" | "italic" | "regular" | "boldItalic"[]
The faces the family offers among the four a placeholder can use.
totalrequired
number

Example Response

200 OK — application/json
{
  "total": 1,
  "items": [
    {
      "family": "string",
      "category": "string",
      "styles": [
        "bold"
      ]
    }
  ]
}